#
# spec file for package python-textX
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-textX
Version:        1.6.1
Release:        lp150.1.10
Summary:        Meta-language for DSL implementation inspired by Xtext
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/igordejanovic/textX
#Source:         https://files.pythonhosted.org/packages/source/t/textX/textX-%%{version}.tar.gz
# PyPI release misses docs and tests
Source:         https://github.com/igordejanovic/textX/archive/v%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION tests
BuildRequires:  %{python_module Arpeggio}
BuildRequires:  %{python_module Jinja2}
BuildRequires:  %{python_module memory_profiler}
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-Arpeggio
Suggests:       %name-doc
BuildArch:      noarch

%python_subpackages

%package -n %name-doc
Summary:        Documentation for %name
Group:          Documentation/Other

%description
textX is a meta-language for building Domain-Specific Languages (DSLs) in Python.
It is inspired by Xtext.

From a single language description (grammar), textX will build a
parser and a meta-model (a.k.a. abstract syntax) for textual
languages. Own languages can be invented or support for already
existing textual language or file format be built.

textX follows the syntax and semantics of Xtext, but differs in some places
and is implemented in Python using the Arpeggio PEG parser - no grammar
ambiguities, unlimited lookahead, interpreter style of work.

%prep
%setup -q -n textX-%{version}
sed -i '0,/#!\/usr\/bin\/env/ d' textx/commands/console.py examples/hello_world/hello.py

%description -n %name-doc
Documentation, tutorial and examples for %name.

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/textx

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*
%python3_only %{_bindir}/textx
%doc AUTHORS.md CHANGELOG.md LICENSE.txt README.rst

%files -n %name-doc
%doc art docs examples

%changelog
* Sun Feb 18 2018 jengelh@inai.de
- Compact description
* Wed Jan 31 2018 sebix+novell.com@sebix.at
- update to version 1.6.1. No notable changes.
- update to version 1.6.0. Shortened changelog:
  * Introduced _tx_fqn class attribute.
  * textX api functions and classes are now available directly from textx module.
  * bugfixes
- update to version 1.5.2. Bugfixes.
* Mon Aug 28 2017 sebix+novell.com@sebix.at
- initial package
